/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Funktionalitaet:
 * CAN ID's und Stati
 ***************************************************************************/
#ifndef CANRECVIDSSTATIHEADER
#define CANRECVIDSSTATIHEADER
// Defines -----------------------------------------------------------------
// ID
#define ID_STATUS  0x1880ABBA // Statusausgabe
#define ID_DISPLAY 0x1881ABBA // Ausgabedisplay

// Stati
// Statusausgabe Transceiver
#define STAT_TRANSCEIVER_ETHERNET_CONNECTED 0x01
#define STAT_TRANSCEIVER_ETHERNET_FAILED    0x02
#define STAT_TRANSCEIVER_MQTT_CONNECTED     0x03
#define STAT_TRANSCEIVER_MQTT_FAILED        0x04
#define STAT_TRANSCEIVER_MQTT_RECEIVED      0x05
#define STAT_TRANSCEIVER_CANOK              0x06
#define STAT_TRANSCEIVER_CAN_FAILED         0x07
// Statusausgabe Display
#define STAT_DISPLAY_CANOK                  0x08

#endif

