/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Headerfile
 * LCD Display Ausgabe
 ***************************************************************************/
#ifndef LCDHEADER
#define LCDHEADER

// Defines -----------------------------------------------------------------
// Display
#define BLANK  (char)32 // ASCII Leerzeichen
#define EMPTY  (char)48 // ASCII 0
#define ENDE   (char)0  // Stringende
#define PUNKT  (char)46 // ASCII .
#define DPUNKT (char)58 // ASCII :
#define ZWEI   (char)50 // ASCII 2

// Fehlermeldungen
#define ERR_OK     (char)0
#define ERR_NOCAN  (char)1

// Funktionen
void LCD_Startup(void);
void LCD_ShowStatus(char stat);

#endif
